Bug 37623 - users/self and users/passwd have no lookup method which causes UDM tracebacks
users/self and users/passwd have no lookup method which causes UDM tracebacks
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - User settings
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-26 18:22 CET by Florian Best
Modified: 2017-07-26 14:39 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number: 2016100121000035, 2016102821000361, 2017021621000781, 2017070621000343
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-01-26 18:22:27 CET
"User: self" occurs in the dropdown for the search in the ldap navigation. Searching for it causes a traceback because the handler module does not have a lookup() method.

Remark:
Search for Type: User: Self
Property: Default properties

Traceback:
Execution of command 'udm/nav/object/query navigation' has failed:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/__init__.py",
line 176, in _decorated
    return function(self, request, *args, **kwargs)
  File "/usr/lib/pymodules/python2.7/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.7/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File
"/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/__init__.py", line
537, in _thread
    result = module.search(container, objectProperty, objectPropertyValue, superordinate,
scope=scope, hidden=hidden)
  File
"/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line
159, in _decorated
    return func(*args, **kwargs)
  File
"/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line
139, in wrapper_func
    ret = func(*args, **kwargs)
  File
"/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line
562, in search
    result = self.module.lookup(None, ldap_connection, filter_s, base=container,
superordinate=superordinate, scope=scope, sizelimit=sizelimit)
AttributeError: 'module' object has no attribute 'lookup'
Comment 1 Florian Best univentionstaff 2015-05-11 11:47:44 CEST
Reported again, 4.0-1 errata193 (Walle).

Execution of command 'udm/nav/object/query navigation' has failed:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/modules/__init__.py", line 176, in _decorated
    return function(self, request, *args, **kwargs)
  File "%PY2.7%/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "%PY2.7%/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "%PY2.7%/univention/management/console/modules/udm/__init__.py", line 541, in _thread
    result = module.search(container, objectProperty, objectPropertyValue, superordinate, scope=scope, hidden=hidden)
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 163, in _decorated
    return func(*args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 146, in wrapper_func
    return _func(*args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 139, in _func
    ret = func(*args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/udm/udm_ldap.py", line 582, in search
    result = self.module.lookup(None, ldap_connection, filter_s, base=container, superordinate=superordinate, scope=scope, sizelimit=sizelimit)
AttributeError: 'module' object has no attribute 'lookup'
Comment 2 Florian Best univentionstaff 2015-08-19 17:17:51 CEST
Reported again, 4.0-2 errata231 (Walle)

Remark:
LDAP-Verzeichnis -> Typ Benutzer:Passwort -> suchen
Comment 3 Florian Best univentionstaff 2015-12-18 17:00:24 CET
Reported again, 4.1-0 errata14 (Vahr)
Comment 4 Florian Best univentionstaff 2016-10-04 12:36:13 CEST
Reported again, 4.1-3 errata282 (Vahr)

Remark: LDAP-Suche Benutzer.Passwort
Comment 5 Florian Best univentionstaff 2016-10-28 12:15:39 CEST
Reported again, 4.1-3 errata318 (Vahr)

Remark: Schulung im Haus Suche nach Typ Benutzer:Passwort im LDAP gesucht
Comment 6 Florian Best univentionstaff 2017-04-21 12:28:24 CEST
Version: 4.1-4 errata396 (Vahr)
Comment 7 Florian Best univentionstaff 2017-07-05 16:10:09 CEST
univention-directory-manager-modules (12.0.17-61):
r80882 | Bug #37623: add lookup() method of users/self and users/passwd

univention-directory-manager-modules.yaml:
r80883 | YAML Bug #37623
Comment 8 Johannes Keiser univentionstaff 2017-07-05 19:05:54 CEST
OK Searching for User: Password and User: Self does not cause an error
OK Searching for User: Self return currently logged in user

YAML: OK
-> verified
Comment 9 Florian Best univentionstaff 2017-07-07 16:41:39 CEST
Reported again, 4.2-1 errata85 (Lesum)
Comment 10 Erik Damrose univentionstaff 2017-07-26 14:39:16 CEST
<http://errata.software-univention.de/ucs/4.2/115.html>